### Constructor

# Vips Image vipsload

#### Declaration [src]

    int
    vips_vipsload (
      const char* filename,
      VipsImage** out,
      ...
    )

#### Description [src]

Read in a vips image.

See also

`vips_vipssave()`.

This constructor is not directly available to language bindings.

#### Parameters

`filename`

  Type: `const char*`

  File to load.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

`out`

  Type: `VipsImage`

  Decompressed image.

  The argument will be set by the function.
  The caller of the function takes ownership of the returned data, and is responsible for freeing it.

`...`

  Type: ``

  `NULL`-terminated list of optional named arguments.

#### Return value

Type: `int`

0 on success, -1 on error.